package com.bytedance.android.livesdk.model.message;

import X.C3553GuA;
import X.C4453HKs;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class LinkMicBattlePunishFinishMessage extends C3553GuA {
    @c(LIZ = "channel_id")
    public long LIZ;
    @c(LIZ = "battle_id")
    public long LIZIZ;
    @c(LIZ = "op_uid")
    public long LIZJ;
    @c(LIZ = "reason")
    public int LIZLLL;

    static {
        Covode.recordClassIndex(19071);
    }

    public LinkMicBattlePunishFinishMessage() {
        this.LJJIL = C4453HKs.LINK_MIC_BATTLE_PUNISH_FINISH;
    }

    public final boolean LIZJ() {
        if (this.LIZLLL == 1) {
            return true;
        }
        return false;
    }

    public String toString() {
        return "LinkMicBattlePunishFinishMessage{channelId=" + this.LIZ + ", opUid=" + this.LIZJ + ", reason=" + this.LIZLLL + '}';
    }
}
